## CLAMS project
[CLAMS project](https://clams.ai) aims at free and open-source software platform for computational analysis and metadata generation applications for multimedia material. We believe free and open AI-based multimedia processing platform can bring many benefits of technical advancement to libraries, archives, and museums. To achieve interoperability between various computational applications developed be different vendors, which is absolutely necessary for using applications together supported by user-friendly workflow engines, we are also developing JSON-based MultiMedia Interchange Format ([MMIF](https://mmif.clams.ai))

## clams-python
`clams-python` is a Python implementation of the CLAMS SDK. `clams-python` provides CLAMS app developers with the following assistance ; 

1. handling MMIF files for input and output specification for CLAMS apps
1. a base Python class to start developing a CLAMS app
1. a flask-based wrapper to run a Python CLAMS app as an HTTP web app
1. cookie-cutter shell command that sets up everything and starts a new CLAMS app project

### Start now from [Getting Started](https://clamsproject.github.io/clams-python/introduction.html)!

## For more ...
* [Version history and patch notes](https://github.com/clamsproject/clams-python/blob/main/CHANGELOG.md)
* [CLAMS Python API documentation](https://clamsproject.github.io/clams-python/modules.html)
* [MMIF-specific Python API documentation](https://clamsproject.github.io/mmif-python)
* [Public CLAMS App Directory](https://clamsproject.github.io/apps)
